org.apache.solr.core

## Class RAMDirectoryFactory

- java.lang.Object
- - org.apache.solr.core.DirectoryFactory
  - - org.apache.solr.core.CachingDirectoryFactory
    - - org.apache.solr.core.EphemeralDirectoryFactory
      - - org.apache.solr.core.RAMDirectoryFactory

- All Implemented Interfaces:
    Closeable, AutoCloseable, NamedListInitializedPlugin

      public class RAMDirectoryFactory
      extends EphemeralDirectoryFactory

  Factory to instantiate `RAMDirectory`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.solr.core.CachingDirectoryFactory

      `CachingDirectoryFactory.CacheValue, CachingDirectoryFactory.CloseListener`

    - ### Nested classes/interfaces inherited from class org.apache.solr.core.DirectoryFactory

      `DirectoryFactory.DirContext`

  - ### Field Summary

    - ### Fields inherited from class org.apache.solr.core.CachingDirectoryFactory

      `byDirectoryCache, byPathCache, closeListeners, removeEntries`

    - ### Fields inherited from class org.apache.solr.core.DirectoryFactory

      `coreContainer, INDEX_W_TIMESTAMP_REGEX, IOCONTEXT_NO_CACHE, LOCK_TYPE_HDFS, LOCK_TYPE_NATIVE, LOCK_TYPE_NONE, LOCK_TYPE_SIMPLE, LOCK_TYPE_SINGLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RAMDirectoryFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Directory` | `create(String path, LockFactory lockFactory, DirectoryFactory.DirContext dirContext)` Creates a new Directory for a given path.
    `protected LockFactory` | `createLockFactory(String rawLockType)` Creates a new LockFactory for a given path.

    - ### Methods inherited from class org.apache.solr.core.EphemeralDirectoryFactory

      `exists, isAbsolute, isPersistent, remove, remove`

    - ### Methods inherited from class org.apache.solr.core.CachingDirectoryFactory

      `addCloseListener, close, deleteOldIndexDirectory, doneWithDirectory, get, getLivePaths, getPath, incRef, init, normalize, release, remove, remove, removeDirectory, stripTrailingSlash`

    - ### Methods inherited from class org.apache.solr.core.DirectoryFactory

      `cleanupOldIndexDirectories, empty, getDataHome, initCoreContainer, isSharedStorage, move, offerMBeans, searchersReserveCommitPoints, size, size, sizeOf, sizeOfDirectory`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RAMDirectoryFactory

          public RAMDirectoryFactory()

  - ### Method Detail

    - #### createLockFactory

          protected LockFactory createLockFactory(String rawLockType)
                                           throws IOException

      Description copied from class: `DirectoryFactory`
      Creates a new LockFactory for a given path.
      Specified by:
        `createLockFactory` in class `DirectoryFactory`
      Parameters:
        `rawLockType` - A string value as passed in config. Every factory should at least support 'none' to disable locking.
      Throws:
        `IOException` - If there is a low-level I/O error.

    - #### create

          protected Directory create(String path,
                                     LockFactory lockFactory,
                                     DirectoryFactory.DirContext dirContext)
                              throws IOException

      Description copied from class: `DirectoryFactory`
      Creates a new Directory for a given path.
      Specified by:
        `create` in class `DirectoryFactory`
      Throws:
        `IOException` - If there is a low-level I/O error.

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.